<?php

namespace App\Traits\Components;

trait WithOutletSelector
{
    public function selectAllOutlets(): void
    {
        $this->form->outlet_ids = array_keys($this->outlets);
    }

    public function deselectAllOutlets(): void
    {
        $this->form->outlet_ids = [];
    }
}
